From 77db4723ddda2a5eb20876e8a818f77ffa7dafc8 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Wed, 14 Jul 2021 13:14:39 +0200
Subject: [PATCH] Update the NetBSD system call table to match NetBSD-current.

Generated from sys/sys/syscall.h revision 1.319.

We can safely remove the _lwp_gettid syscall, which was never exposed
in libc and never made it into a release.

gdb/ChangeLog:

2021-07-23  Frederic Cambus  <fred@statdns.com>

	* syscalls/netbsd.xml: Regenerate.
---
 gdb/syscalls/netbsd.xml | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

diff --git a/gdb/syscalls/netbsd.xml b/gdb/syscalls/netbsd.xml
index 9b7d51af7f3..615163e2b5c 100644
--- a/gdb/syscalls/netbsd.xml
+++ b/gdb/syscalls/netbsd.xml
@@ -105,6 +105,7 @@
   <syscall name="compat_43_osethostname" number="88"/>
   <syscall name="compat_43_ogetdtablesize" number="89"/>
   <syscall name="dup2" number="90"/>
+  <syscall name="getrandom" number="91"/>
   <syscall name="fcntl" number="92"/>
   <syscall name="compat_50_select" number="93"/>
   <syscall name="fsync" number="95"/>
@@ -171,6 +172,9 @@
   <syscall name="compat_09_osetdomainname" number="163"/>
   <syscall name="compat_09_ouname" number="164"/>
   <syscall name="sysarch" number="165"/>
+  <syscall name="__futex" number="166"/>
+  <syscall name="__futex_set_robust_list" number="167"/>
+  <syscall name="__futex_get_robust_list" number="168"/>
   <syscall name="compat_10_osemsys" number="169"/>
   <syscall name="compat_10_omsgsys" number="170"/>
   <syscall name="compat_10_oshmsys" number="171"/>
@@ -310,7 +314,6 @@
   <syscall name="_lwp_setname" number="323"/>
   <syscall name="_lwp_getname" number="324"/>
   <syscall name="_lwp_ctl" number="325"/>
-  <syscall name="_lwp_gettid" number="326"/>
   <syscall name="compat_60_sa_register" number="330"/>
   <syscall name="compat_60_sa_stacks" number="331"/>
   <syscall name="compat_60_sa_enable" number="332"/>
@@ -458,4 +461,17 @@
   <syscall name="__statvfs190" number="484"/>
   <syscall name="__fstatvfs190" number="485"/>
   <syscall name="__fhstatvfs190" number="486"/>
+  <syscall name="__acl_get_link" number="487"/>
+  <syscall name="__acl_set_link" number="488"/>
+  <syscall name="__acl_delete_link" number="489"/>
+  <syscall name="__acl_aclcheck_link" number="490"/>
+  <syscall name="__acl_get_file" number="491"/>
+  <syscall name="__acl_set_file" number="492"/>
+  <syscall name="__acl_get_fd" number="493"/>
+  <syscall name="__acl_set_fd" number="494"/>
+  <syscall name="__acl_delete_file" number="495"/>
+  <syscall name="__acl_delete_fd" number="496"/>
+  <syscall name="__acl_aclcheck_file" number="497"/>
+  <syscall name="__acl_aclcheck_fd" number="498"/>
+  <syscall name="lpathconf" number="499"/>
 </syscalls_info>
-- 
2.31.1

